-[Tue Jul  1 19:34:04 1997 by cxh]-

config-hppa9.mk is a config file for HPUX9, based on a file supplied
by Tom Lane.

$PTOLEMY/makefile is not setup to build the GNU tools for hppa9 automagically.
To build the gnu tools, you can try:
	cd $PTOLEMY; make -f mk/scratch-srcs.mk CC=cc -k hpgnu_all
rather than
	cd $PTOLEMY; make install_gnu

Note that these files were built at a location other than
/users/ptolemy, so you will need to set your PTOLEMY variable to the
location of the distribution.  Also, you will probably need to set
your SHLIB_PATH so that the shared libraries can be found.
$PTOLEMY/.cshrc contains commands to set your SHLIB_PATH, or you can
try:

setenv SHLIB_PATH $PTOLEMY/lib.${PTARCH}:$PTOLEMY/octtools/lib.${PTARCH}:$PTOLEMY/gnu/$PTARCH/lib

-------------------------------------------------------
Here's what files are present

README				This file

config-hppa9.mk			A HPUX9.05 config file

pt-0.6.gnu.hppa9.tar.gz		GNU binaries (gcc-2.7.2/libg++-2.7.1)
				for HPUX9.05

pt-0.6.hppa9.tar.gz		Ptolemy0.6 binaries for HPUX9.05


----------------------------------------------------------------------

Incremental linking under hppa9.

It seems that to incrementally link in new stars under hppa9, you need
to have a makefile that has the proper compiler arguments in it.

A user reported seeing the error:

    collect2: ld returned 1 exit status
    /bin/ld: Invalid loader fixup needed

If, when you are linking in a star, you don't have a makefile, then
Ptolemy will try to build your .o file for you.  However, since hppa9
uses shl_load() style linking Ptolemy is gives the wrong arguments to
the compiler and the star is not compiled with -fPIC and -DUSE_SHLLOAD

In my test case, I was able to link in a star I wrote called
MyRampSysDerived.pl with:

---start---
ROOT = $(PTOLEMY)
VPATH = .
include $(ROOT)/mk/config-$(PTARCH).mk
INCL = -I$(ROOT)/src/domains/sdf/stars -I$(ROOT)/src/domains/sdf/kernel \
	-I$(KERNDIR)
PL_SRCS = SDFMyRampSysDerived.pl
DOMAIN = SDF
include $(ROOT)/mk/userstars.mk
---end---

And then I did :
make -f make.template depend

Then I linked in my star.  See $PTOLEMY/mk/userstars.mk for more
information. 


Also, awhile back I found that I had to install a newer version of the
GNU assembler to fix the 'Invalid loader fixup problem':

>	The problem was that as was 2.5.2:
> cxh@haar.EECS.Berkeley.EDU>  /usr/sww/lib/gcc-lib/hppa1.1-hp-hpux9.03/2.7.2/as --version
> GNU assembler version 2.5.2 (hppa1.1-hp-hpux9.05), using BFD version 2.5
>
>	Upgrading to 2.6 helped here.
